# Uses of Interface
org.italiangrid.voms.request.VOMSServerInfo

Packages that use VOMSServerInfo
Package
Description
org.italiangrid.voms.request
This package provides the API for requesting VOMS attribtues from a remote VOMS server.
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSServerInfo in org.italiangrid.voms.request

Methods in org.italiangrid.voms.request that return VOMSServerInfo
Modifier and Type
Method
Description
`VOMSServerInfo`
VOMSProtocolError.`getServerInfo()`
Methods in org.italiangrid.voms.request that return types with arguments of type VOMSServerInfo
Modifier and Type
Method
Description
`Set<VOMSServerInfo>`
VOMSServerInfoStore.`getVOMSServerInfo()`
Returns a set of all `VOMSServerInfo` objects in this `VOMSServerInfoStore`.
`Set<VOMSServerInfo>`
VOMSServerInfoStore.`getVOMSServerInfo(String voName)`
Returns a set of `VOMSServerInfo` object matching a vo name or alias passed as argument.
`List<VOMSServerInfo>`
VOMSESParser.`parse(File f)`
Parses the VOMS contact information from the `File` passed as argument.
`List<VOMSServerInfo>`
VOMSESParser.`parse(Reader vomsesReader)`
Parses the VOMS contact information from the `Reader` passed as argument.
Methods in org.italiangrid.voms.request with parameters of type VOMSServerInfo
Modifier and Type
Method
Description
`void`
VOMSServerInfoStore.`addVOMSServerInfo(VOMSServerInfo info)`
Adds a `VOMSServerInfo` to this `VOMSServerInfoStore`.
`VOMSResponse`
VOMSProtocol.`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
Makes a request, get the response.
`void`
VOMSRequestListener.`notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)`
Informs that errors were included in the VOMS response produced by a VOMS server
`void`
VOMSServerInfoStoreListener.`notifyVOMSESInformationLoaded(String vomsesPath, VOMSServerInfo info)`
Informs that VOMSES information was succesfully loaded from a given path
`void`
VOMSRequestListener.`notifyVOMSRequestFailure(VOMSACRequest request, VOMSServerInfo endpoint, Throwable error)`
Informs of a VOMS request failure
`void`
VOMSRequestListener.`notifyVOMSRequestStart(VOMSACRequest request, VOMSServerInfo si)`
Informs of the start of a request to a VOMS server
`void`
VOMSRequestListener.`notifyVOMSRequestSuccess(VOMSACRequest request, VOMSServerInfo endpoint)`
Informs of the succesfull conclusion of a request to a VOMS server
`void`
VOMSRequestListener.`notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)`
Informs that warnings were included in the VOMS response produced by a VOMS server
Constructors in org.italiangrid.voms.request with parameters of type VOMSServerInfo
Modifier
Constructor
Description
``
`VOMSProtocolError(String message, VOMSServerInfo serv, VOMSACRequest req, eu.emi.security.authn.x509.X509Credential cred, Throwable c)`

## Uses of VOMSServerInfo in org.italiangrid.voms.request.impl

Classes in org.italiangrid.voms.request.impl that implement VOMSServerInfo
Modifier and Type
Class
Description
`class`
`DefaultVOMSServerInfo`
The default implementation of the `VOMSServerInfo` endpoint information.
Fields in org.italiangrid.voms.request.impl with type parameters of type VOMSServerInfo
Modifier and Type
Field
Description
`protected Map<String,Set<VOMSServerInfo>>`
DefaultVOMSServerInfoStore.`serverInfoStore`
Methods in org.italiangrid.voms.request.impl that return VOMSServerInfo
Modifier and Type
Method
Description
`VOMSServerInfo`
VOMSESLineParser.`parse(String line)`
`protected VOMSServerInfo`
LegacyVOMSESParserImpl.`parseLine(String vomsesLine)`
Parses a single line from a VOMSES file.
Methods in org.italiangrid.voms.request.impl that return types with arguments of type VOMSServerInfo
Modifier and Type
Method
Description
`Set<VOMSServerInfo>`
DefaultVOMSServerInfoStore.`getVOMSServerInfo()`
`Set<VOMSServerInfo>`
DefaultVOMSServerInfoStore.`getVOMSServerInfo(String voName)`
`protected List<VOMSServerInfo>`
DefaultVOMSACService.`getVOMSServerInfos(VOMSACRequest request)`
Get VOMS server endpoint information that matches with the `VOMSACRequest` passed as argument.
`List<VOMSServerInfo>`
LegacyVOMSESParserImpl.`parse(File f)`
Parses a VOMSES file or directory.
`List<VOMSServerInfo>`
LegacyVOMSESParserImpl.`parse(Reader vomsesReader)`
Parses VOMSES configuration from a `Reader`.
`protected List<VOMSServerInfo>`
LegacyVOMSESParserImpl.`parseDirectory(File directory)`
Parses all VOMSES files in a given directory.
Methods in org.italiangrid.voms.request.impl with parameters of type VOMSServerInfo
Modifier and Type
Method
Description
`void`
DefaultVOMSServerInfoStore.`addVOMSServerInfo(VOMSServerInfo info)`
`URL`
RESTServiceURLBuilder.`build(VOMSServerInfo endpoint, VOMSACRequest request)`
`Document`
VOMSRequestFactory.`buildRequest(VOMSACRequest acRequest, VOMSServerInfo endpoint)`
`VOMSResponse`
LegacyProtocol.`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
`VOMSResponse`
RESTProtocol.`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
`protected void`
DefaultVOMSACService.`handleErrorsInResponse(VOMSACRequest request, VOMSServerInfo si, VOMSResponse response)`
Handles errors included in the VOMS response
`protected void`
DefaultVOMSACService.`handleWarningsInResponse(VOMSACRequest request, VOMSServerInfo si, VOMSResponse response)`
Handles warnings included in the VOMS response
`void`
LegacyRequestSender.`sendRequest(VOMSACRequest acRequest, VOMSServerInfo endpoint, OutputStream stream)`
This method is used to send a request to a VOMS server.

## Uses of VOMSServerInfo in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util with parameters of type VOMSServerInfo
Modifier and Type
Method
Description
`void`
NullListener.`notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)`
`void`
NullListener.`notifyVOMSESInformationLoaded(String vomsesPath, VOMSServerInfo info)`
`void`
NullListener.`notifyVOMSRequestFailure(VOMSACRequest request, VOMSServerInfo endpoint, Throwable error)`
`void`
NullListener.`notifyVOMSRequestStart(VOMSACRequest request, VOMSServerInfo si)`
`void`
NullListener.`notifyVOMSRequestSuccess(VOMSACRequest request, VOMSServerInfo endpoint)`
`void`
NullListener.`notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)`